# Class webdriver.FirefoxDomExecutor

code »

All implemented interfaces:
  `webdriver.CommandExecutor`

## Constructor

webdriver.FirefoxDomExecutor ( )

## Enumerations

webdriver.FirefoxDomExecutor.Attribute_
  Attributes used to communicate with the FirefoxDriver extension.
webdriver.FirefoxDomExecutor.EventType_
  Events used to communicate with the FirefoxDriver extension.

Show:PublicProtectedPrivate

## Instance Methods

code » execute ( command, callback )

Parameters

command
callback

code » onResponse_ ( )

## Instance Properties

code » docElement_ : `!Element`
code » doc_ : `!Document`
code » pendingCommand_ : `?{name: string, callback: !Function}`

The pending command, if any.

## Static Functions

code » webdriver.FirefoxDomExecutor.isAvailable ( ) ⇒ `boolean`

Returns

Whether the current environment supports the FirefoxDomExecutor.